Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  API: GetConfigurationByName

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   API: GetConfigurationByName (256 mal gelesen)
gismo
Mitglied
SWX Support


Sehen Sie sich das Profil von gismo an!   Senden Sie eine Private Message an gismo  Schreiben Sie einen Gästebucheintrag für gismo

Beiträge: 1047
Registriert: 05.03.2001

Dell M6600;
8GB Ram;
QuadroFX3000m
WIN7 Pro X64;
Alle SWX ;)

erstellt am: 02. Jul. 2003 11:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Leute,
ich hab mal wieder eine Frage zur APIProgrammier- und Anwendungsschnittstelle (Application Programming Interface).
Ich kann doch in einem Dokument mit
Set ConfigSelect = Part.GetConfigurationByName(Names(i)) die Konfigurationen umschalten. Aber bei mir funktioniert das mal wieder nicht. Wenn ich anschließend mit Set Conf = Part.GetActiveConfiguration und Conf.Name den aktuellen Konfigurationsnamen auslese, ist immer noch die Konfiguration aktiv, die aktiviert war, als ich das Makro gestartet habe.
Hier der entsprechende Auszug aus meiner Schleife:
Code:

  For i = 0 To NumConfigs - 1
    Set ConfigSelect = Part.GetConfigurationByName(Names(i))
    retval = Part.EditRebuild3()
    Set Conf = Part.GetActiveConfiguration
    ConfName = Conf.Name
    …
  End If


Welche Kleinigkeit habe ich schon wieder übersehen?

------------------
Viele Grüße aus dem Schwarzwald
gismo
Meine bescheidene Website

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Manfred Kern
Mitglied
Softwareentwicklung CAD/CAM-Systembetreuung


Sehen Sie sich das Profil von Manfred Kern an!   Senden Sie eine Private Message an Manfred Kern  Schreiben Sie einen Gästebucheintrag für Manfred Kern

Beiträge: 70
Registriert: 25.05.2000

erstellt am: 02. Jul. 2003 12:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gismo 10 Unities + Antwort hilfreich

Hallo Gismo !

Funktionierts vielleicht mit diesem Aufruf

retval = ModelDoc2.ShowConfiguration2 ( configurationName)

Gruß

Manfred

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gismo
Mitglied
SWX Support


Sehen Sie sich das Profil von gismo an!   Senden Sie eine Private Message an gismo  Schreiben Sie einen Gästebucheintrag für gismo

Beiträge: 1047
Registriert: 05.03.2001

Dell M6600;
8GB Ram;
QuadroFX3000m
WIN7 Pro X64;
Alle SWX ;)

erstellt am: 02. Jul. 2003 12:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Mahlzeit Manfred,
Ich bin ein "Depp"  ! Das War es 
Vielen Dank für den entscheidenden Tipp.

------------------
Viele Grüße aus dem Schwarzwald
gismo
Meine bescheidene Website

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz